<template v-if="store.state.auth">
  <el-dialog v-model="shouldDisplayPopup" width="90%" class="blank-dialog container"
  :align-center="true" :close-on-click-modal="false" :close-on-press-escape="false" :destroy-on-close="true">
    <user-center-layout :title="$t(pageTitle)" :tabs="tabs" class="w-full" @router-clicked="handleRouteClick" :allow-logout="false">
      <lazy-user-center-desktop-deposit v-if="pageTitle === 'deposit'" />
      <lazy-user-center-desktop-withdrawal v-if="pageTitle === 'withdrawal'" />
      <lazy-user-center-desktop-wallet v-if="pageTitle === 'wallet'" />
      <lazy-user-center-desktop-account v-if="pageTitle === 'account'" />
      <lazy-user-center-desktop-transaction-history v-if="pageTitle === 'statement'" />
      <lazy-user-center-desktop-bet-history v-if="pageTitle === 'bet_history'" />
      <lazy-user-center-desktop-my-promotion v-if="pageTitle === 'promotion'" />
      <lazy-user-center-desktop-referral-v2 v-if="pageTitle === 'referral'" />
      <lazy-messages-message v-if="pageTitle === 'messages'" />
    </user-center-layout>
    <button class="absolute top-0 right-0 h-[62px] w-[62px] flex justify-center items-center" @click="shouldDisplayPopup = false">
      <SvgIcon svg-name="icon-x-stroke" class-name="h-6 w-6" style="fill: var(--primary);" />
      <span class="sr-only">close</span>
    </button>
  </el-dialog>
</template>

<script setup lang="ts">
import { store } from '~~/store';
import themePropertyHelper from '~~/utils/themePropertyHelper';

const pageTitle = ref('account');
const isDesktop = useIsDesktop();
const route = useRoute();
const routePath = computed(() => route.path);
const router = useRouter();
const userCenterQuery = computed(() => route.query.uc);
const isAuthenticated = computed(() => store.state.auth);
const shouldDisplayPopup = ref(isAuthenticated.value && isDesktop && userCenterQuery.value && String(userCenterQuery.value)?.length > 0);
const { themeColor } = themePropertyHelper
const handleRouteClick = (activeTab: IUserCenterTab) => {
  pageTitle.value = activeTab.label;
}

watch(() => [route.fullPath, userCenterQuery.value], () => {
  shouldDisplayPopup.value = isAuthenticated.value && isDesktop && userCenterQuery.value && String(userCenterQuery.value)?.length > 0;
});

watch(() => shouldDisplayPopup.value, () => {
  if (!shouldDisplayPopup.value) {
    router.replace({ query: undefined });
  }
});

interface IUserCenterTab {
  to: string,
  label: string,
  icon: string,
  display: boolean,
}

onBeforeMount(() => {
  if (themeColor.value.Text !== 'bk8_green' && !themeColor.value.Text.includes('global') && !themeColor.value.Text.includes('playful')) return;
  if (!userCenterQuery.value) return;
  if (!isAuthenticated.value) {
    router.replace({ query: undefined });
    return;
  }
  if (isDesktop) return;
  navigateTo({
    path: String(userCenterQuery.value),
  });
});
const {
  isCashPlayer,
  isShowDepositWithdrawal,
  isShowPromotion,
} = useMenu();

const { isReferralV2Enabled } = useHeaderComponent();
const tabs = computed(()=>[
  {
    to: `${routePath.value}?uc=/deposit`,
    label: "deposit",
    icon: "icon-deposit",
    display: isCashPlayer.value && isShowDepositWithdrawal.value,
  },
  {
    to: `${routePath.value}?uc=/withdrawal`,
    label: "withdrawal",
    icon: "icon-withdraw",
    display: isCashPlayer.value && isShowDepositWithdrawal.value,
  },
  { to: `${routePath.value}?uc=/wallet`, label: "wallet", icon: "icon-wallet", display: true },
  { to: `${routePath.value}?uc=/account`, label: "account", icon: "icon-account", display: true },
  {
    to: `${routePath.value}?uc=/transaction-history`,
    label: "statement",
    icon: "icon-transaction",
    display: true,
  },
  {
    to: `${routePath.value}?uc=/bet-history`,
    label: "bet_history",
    icon: "icon-bethistory",
    display: true,
  },
  {
    to: `${routePath.value}?uc=/my-promotion`,
    label: "promotion",
    icon: "icon-promotion",
    display: isShowPromotion.value,
  },
  {
    to: `${routePath.value}?uc=/referral-v2`,
    label: "referral",
    icon: "icon-referral",
    display: isReferralV2Enabled.value,
  },
  {
    to: `${routePath.value}?uc=/messages`,
    label: "messages",
    icon: "message",
    display: true,
  },
]);

</script>

<style>
.blank-dialog.el-dialog:not(.blank-dialog.el-dialog .el-dialog) {
  border-radius: 16px;
  --el-dialog-bg-color: transparent;
  margin-top: 25px;
  margin-bottom: 0;
  outline: none !important;
}

.blank-dialog.el-dialog:not(.blank-dialog.el-dialog .el-dialog) >.el-dialog__header {
  display: none;
}

.blank-dialog.el-dialog:not(.blank-dialog.el-dialog .el-dialog) >.el-dialog__body {
  padding: 0;
  background: transparent;
  position: relative;
}

.blank-dialog.el-dialog:not(.blank-dialog.el-dialog .el-dialog) >.el-dialog__body .container {
  min-width: 100%;
}
</style>